Hi Romain,
Thank you for your quicky answer.
Ok, if those warnings doesn't crash the system to work, i don't mind
annoying them.
I've checked the folder /usr/lib/jvm/java-6-sun/jre/lib/amd64, and of
course, I can see the following libs, among others:
*libgetenv.so
libtoscomm.so*
So it seems to be ok.
The content of the tos-install-jni.sh file is:
#!/bin/sh
prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
tinyoslibdir=$libdir/tinyos
jni=`tos-locate-jre --jni`
if [ $? -ne 0 ]; then
echo "Java not found, not installing JNI code"
exit 1
fi
if [ cygpath -w / >/dev/null 2>/dev/null ] || [ `uname` = "Darwin" ]; then
echo "Installing Java JNI code in $jni ... "
for lib in $tinyoslibdir/*.so; do
install $lib "$jni" || exit 1
done
else
java=`tos-locate-jre --java`
bits=32
if [ $? -ne 0 ]; then
echo "java command not found - assuming 32 bits"
elif file -L $java/java | grep -q 64-bit; then
bits=64
fi
echo "Installing $bits-bit Java JNI code in $jni ... "
for lib in $tinyoslibdir/*-$bits.so; do
realname=`basename $lib | sed -e s/-$bits\.so/.so/`
install $lib "$jni/$realname" || exit 1
done
fi
echo "done."
I have marked in red the line 31 in the script. Is the previous to the last
one. I think it doesn't say anything..
Regards,
Juan
2011/4/18 Romain Bornet <[email protected]>
> Hi Juan,
>
> I'm developing in Cygwin environment but also had some trouble with
> versions when I installed TinyOS. I can therefore already help you a
> bit but not on what directly concerns Ubuntu 64 bits.
>
> Regarding tos-check-env, I think you can simply ignore the "errors".
> These are simple warnings which check for old versions of
> Java/graphviz which are hardcoded in the tos-check-env script. As far
> as I know, Java 1.6 is supported and should not cause trouble as well
> as older graphviz/dot versions. I could generate nesdoc with newer
> graphviz at least.
>
> If you want to get rid of tos-check-env warnings, you can open the
> tos-check-env.sh script and change following lines:
>
> in sub chk_java() function, replace
> if ($_ =~ /version \"1\.[45]/) {
> by
> if ($_ =~ /version \"1\.[456]/) {
>
> This will tell the script that 1.6 is also OK
>
> in sub chk_graphviz function you can simply drop the test on the
> version number. If you have dot installed on Ubuntu, it will for sure
> be higher than 1.10 ! for this, replace
>
> $versionok = 1 if /1\.10/;
> by
> $versionok = 1
>
> With these 2 changes, tos_check_env should be happy.
>
> Regarding the tos-install-jni problem, could you post your
> tos-install-jni.sh script ? It would help people on the list to
> understand what produced the error at line 31.
>
> By the way did you check in /usr/lib/jvm/java-6-sun/jre/lib/amd64 if
> TinyOS libraries were installed ? Perhaps the script terminates with
> an error but nevertheless copied the library files. You should have
> libgetenv.so and libtoscomm.so files there if everything went smooth.
>
> Regards,
> Romain
>
> On Mon, Apr 18, 2011 at 12:54 PM, Juan Garrido Castellano
> <[email protected]> wrote:
> > Hello to everyone.
> >
> > It's the first time i write to this forum.
> >
> > I was working with Tinyos 2.1.0 on a Ubuntu 32 bit system installed in
> > vmware, and it worked ok.
> >
> > Now i'm trying to make it work in a Ubuntu 64 bit, 10.10. I can compile
> and
> > install programs into MICAZ motes. FINE.
> >
> > But i can't get Serial readings. I get the following messages from
> Tinyos:
> >
> >
> > TOS-CHECK-ENV output:
> >
> > tos-check-env completed with errors:
> >
> > --> WARNING: The JAVA version found first by tos-check-env may not be
> > version 1.4 or version 1.5one of which is required by TOS. Please ensure
> > that the located Java version is 1.4 or 1.5
> > --> WARNING: The graphviz (dot) version found by tos-check-env is not
> 1.10.
> > Please update your graphviz version if you'd like to use the nescdoc
> > documentation generator.
> >
> > TOS-INSTALL-JNI output:
> >
> > jx@x-Inspiron-1750:~$ sudo tos-install-jni
> > [sudo] password for juan:
> > [: 31: =: unexpected operator
> > Installing 64-bit Java JNI code in /usr/lib/jvm/java-6-sun/jre/lib/amd64
> ...
> > done.
> >
> > I have been searching for solutions to this problem around the web, but
> > anything that i have seen has helped to me. I tried to uninstall JAVA6,
> and
> > installing JAVA5 later, but it didn't work. Now I have reinstalled JAVA6.
> >
> > I would be grateful if anyone of you have a solution to this problem,
> would
> > help me.
> >
> > Thanks very much.
> >
> > Greetings
> >
> >
> >
> >
> > _______________________________________________
> > Tinyos-help mailing list
> > [email protected]
> > https://www.millennium.berkeley.edu/cgi-bin/mailman/listinfo/tinyos-help
> >
>
_______________________________________________
Tinyos-help mailing list
[email protected]
https://www.millennium.berkeley.edu/cgi-bin/mailman/listinfo/tinyos-help